FEM Analysis: Difference between revisions

From FreeCAD Documentation
(png -> svg)
(Changed 1st sentence of 'Usage'.)
Line 16: Line 16:
|MenuLocation=Model → Analysis container‏‎
|MenuLocation=Model → Analysis container‏‎
|Workbenches=[[FEM_Module|FEM]]
|Workbenches=[[FEM_Module|FEM]]
|Shortcut={{KEY|N}} {{KEY|A}}
|Shortcut={{KEY|S}} {{KEY|A}}
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
}}
}}
Line 27: Line 27:
* [[FEM_ConstraintFixed| fixed constraint]]
* [[FEM_ConstraintFixed| fixed constraint]]
* [[FEM_ConstraintForce| force constraint]] or [[FEM_ConstraintPressure| pressure constraint]]
* [[FEM_ConstraintForce| force constraint]] or [[FEM_ConstraintPressure| pressure constraint]]



==Usage== <!--T:10-->
==Usage== <!--T:10-->


<!--T:47-->
<!--T:47-->
# Press the {{KEY|[[Image:FEM_Analysis.svg|24px]] [[FEM_Analysis|Analysis container]]}} button, or press {{KEY|N}} then {{KEY|A}} keys. A new Analysis is created and set to active.
# Press the {{Button|[[Image:FEM_Analysis.svg|16px]]}} button, choose {{MenuCommand|Model → [[Image:FEM_Analysis.svg|16px]] Analysis container‏‎}} from the top menu, or use the keyboard shortcut: {{KEY|S}} then {{KEY|A}}.
# A new Analysis is created and set to active.
# Other objects could be added or removed to the analysis container by drag and drop.
# Other objects could be added or removed to the analysis container by drag and drop.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.



==Options== <!--T:15-->
==Options== <!--T:15-->
Line 42: Line 41:
* Up to date there is no option to choose.
* Up to date there is no option to choose.
* A frequency analysis in in development. See [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] for more informations.
* A frequency analysis in in development. See [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] for more informations.



==Properties== <!--T:20-->
==Properties== <!--T:20-->
Line 48: Line 46:
<!--T:49-->
<!--T:49-->
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis



==Scripting== <!--T:25-->
==Scripting== <!--T:25-->
Line 95: Line 92:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}

{{clear}}
<translate>
<translate>


<!--T:52-->
<!--T:52-->
{{Docnav
{{Docnav

Revision as of 09:32, 25 February 2021

FEM Analysis

Menu location
Model → Analysis container‏‎
Workbenches
FEM
Default shortcut
S A
Introduced in version
-
See also
FEM tutorial

Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:

Usage

  1. Press the button, choose Model → Analysis container‏‎ from the top menu, or use the keyboard shortcut: S then A.
  2. A new Analysis is created and set to active.
  3. Other objects could be added or removed to the analysis container by drag and drop.
  4. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.

Options

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.

Properties

  • DataOutpuDir: Specifies the working directory of the analysis

Scripting

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member